using System;

namespace NKC_WF.WebUserControls
{
    public partial class cmp_numRow : BaseUserControl
    {
        public event EventHandler eh_doRefresh;
        protected void Page_Load(object sender, EventArgs e)
        {

        }

        private void raiseEvent()
        {
            // se qualcuno ascolta sollevo evento nuovo valore...
            if (eh_doRefresh != null)
            {
                eh_doRefresh(this, new EventArgs());
            }
        }
        public int numRow
        {
            set
            {
                txtNumRow.Text = value.ToString();
            }
            get
            {
                int answ = 10;
                int.TryParse(txtNumRow.Text, out answ);
                return answ;
            }
        }

        protected void txtNumRow_TextChanged(object sender, EventArgs e)
        {
            
            raiseEvent();
        }
    }
}